<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
  <link href="assets/images/favicon.png" rel="icon" />
  <title>Documentation &bull; Accufy </title>
  <meta name="description" content="Your ThemeForest item Name and description">
  <meta name="author" content="Codericks">

<!-- Stylesheet
  ============================== -->
  <!-- Bootstrap -->
  <link rel="stylesheet" type="text/css" href="assets/vendor/bootstrap/css/bootstrap.min.css" />
  <!-- Font Awesome Icon -->
  <link rel="stylesheet" type="text/css" href="assets/vendor/font-awesome/css/all.min.css" />
  <!-- Magnific Popup -->
  <link rel="stylesheet" type="text/css" href="assets/vendor/magnific-popup/magnific-popup.min.css" />
  <!-- Highlight Syntax -->
  <link rel="stylesheet" type="text/css" href="assets/vendor/highlight.js/styles/github.css" />
  <!-- Custom Stylesheet -->
  <link rel="stylesheet" type="text/css" href="assets/css/stylesheet.css" />
</head>

<body data-spy="scroll" data-target=".idocs-navigation" data-offset="125">

  <!-- Preloader -->
  <div class="preloader">
    <div class="lds-ellipsis">
      <div></div>
      <div></div>
      <div></div>
      <div></div>
    </div>
  </div>
  <!-- Preloader End --> 

<!-- Document Wrapper   
  =============================== -->
  <div id="main-wrapper"> 

  <!-- Header
    ============================ -->
    <header id="header" class="sticky-top"> 
      <!-- Navbar -->
      <nav class="primary-menu navbar bg-lights navbar-expand-lg navbar-dropdown-dark">
        <div class="container-fluid">
          <!-- Sidebar Toggler -->
          <button id="sidebarCollapse" class="navbar-toggler d-block d-md-none" type="button"><span></span><span class="w-75"></span><span class="w-50"></span></button>

          <!-- Logo --> 
          <a class="logo ml-md-3" href="#" title="iDocs Template"> <img width="50%" src="assets/images/logo.png" alt="iDocs Template"/> </a> 
          
          <!-- Logo End -->

          <!-- Navbar Toggler -->
          <button class="navbar-toggler ml-auto" type="button" data-toggle="collapse" data-target="#header-nav"><span></span><span></span><span></span></button>

          <div id="header-nav" class="collapse navbar-collapse justify-content-end">
            <ul class="navbar-nav">
                <li><a target="_blank" href="https://codecanyon.net/user/codericks/portfolio">Visit Codecanyon Portfolio</a></li>
                <li><a target="_blank" href="https://codecanyon.net/user/codericks#contact?ref=codericks">Support</a></li>
              </ul>
            </div>
          </div>
        </nav>
        <!-- Navbar End --> 
      </header>
      <!-- Header End --> 

  <!-- Content ============================ -->
    <div id="content" role="main">



        <!-- Sidebar Navigation ============================ -->
      <div class="idocs-navigation bg-light">
        <ul class="nav flex-column ">
            <li class="nav-item"><a class="nav-link active" href="#idocs_start">Overview</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_install">Installation</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_guide">Quick Start Guide</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_settings">Settings</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_users">Manage Users</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_features">Manage Features</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_packages">Manage packages</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_pages">Manage Pages</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_blogs">Manage Blogs</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_user_settings">User Settings</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_customers">Manage Customers</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_categories">Manage Categories</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_tax">Manage Tax</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_products">Manage Products</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_estimates">Manage Estimates</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_invoices">Manage Invoices </a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_vendors">Manage Vendors</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_expenses">Manage Expenses</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_password">Update Password</a></li>

            <li class="nav-item"><a class="nav-link" href="#idocs_corn">Cron Jobs</a></li>
            <li class="nav-item"><a class="nav-link" href="#idocs_faq">FAQ</a></li>
        </ul>
      </div>






    <!-- Docs Content ============================ -->
      <div class="idocs-content">
        <div class="container"> 
          
        <!-- Getting Started ============================ -->
          <section id="idocs_start">
              <h3>Documentation </h3>
              <h5 class="mb-1">Accufy - SaaS Business & Accounting Software</h5>
              <p>Thank you so much for purchasing our item from Codecanyon.</p>
              <hr>
              <div class="row">
                  <div class="col-sm-6 col-lg-4">
                    <ul class="list-unstyled">
                     <li><strong class="font-weight-700">Created:</strong> 15 November 2019</li>
                   </ul>
                 </div>
                  <div class="col-sm-6 col-lg-4">
                    <ul class="list-unstyled">
                     <li><strong>Author:</strong> <a href="https://codecanyon.net/user/codericks" target="_blank">Codericks</a></li>
                   </ul>
                  </div>
              </div>
              <p class="alert alert-info">If you have any questions that are beyond the scope of this help file, Please feel free to email via <a target="_blank" href="https://codecanyon.net/user/codericks#contact?ref=codericks">Item Support Page</a>.</p>
          </section>
        <!-- Getting Started end ============================ -->

          
          <hr class="divider">

          
        <!-- Quick Install ============================ -->
          <section id="idocs_install">

            <h3>Installation</h3>
            <p>This installation process should take no more than 10 minutes if followed and done correctly.</p>
            <p class="alert alert-success"><strong>Watch a <b>video tutorial</b>
               on how you can install the script with a cPanel based hosting.</strong></p>

            <div class="embed-responsive embed-responsive-16by9 mb-5">
              <iframe class="embed-responsive-item" src="https://player.vimeo.com/video/730304712" allowfullscreen></iframe>
            </div> 
            <hr>
            <h4 class="text-primary"> or follow these steps</h4>
            <h4 class="mt-4 mb-0">1. Prepare the Database</h4>

            <div class="row mt-0">
              <div class="col-4 my-3 text-center">
                <h6 class="pt-2">Go to Cpanel and Click MySQL® Databases</h6>
                <a class="popup-img" href="assets/images/db_1.jpg"><img class="img-fluid border" src="assets/images/db_1.jpg" alt=""></a>
              </div>

              <div class="col-4 my-3 text-center">
                <h6 class="pt-2">Create New Database</h6>
                <a class="popup-img" href="assets/images/db_2.jpg"><img class="img-fluid border" src="assets/images/db_2.jpg" alt=""></a>
              </div>

              <div class="col-4 my-3 text-center">
                <h6 class="pt-2">Add New User</h6>
                <a class="popup-img" href="assets/images/db_3.jpg"><img class="img-fluid border" src="assets/images/db_3.jpg" alt=""></a>
              </div>

              <div class="col-4 my-3 text-center">
                <h6 class="pt-2">Add User To Database</h6>
                <a class="popup-img" href="assets/images/db_4.jpg"><img class="img-fluid border" src="assets/images/db_4.jpg" alt=""></a>
              </div>

              <div class="col-4 my-3 text-center">
                <h6 class="pt-2">Set User Permissions</h6>
                <a class="popup-img" href="assets/images/db_5.jpg"><img class="img-fluid border" src="assets/images/db_5.jpg" alt=""></a>
              </div>
            </div>
         

            <h4>2. Upload Script</h4>
            <ul>
              <li>Upload script files to your host (The script can be uploaded either on a subdomain, domain or subfolder, depending on your needs.)</li>
            </ul>

            <h4>3. Start Installation</h4>
            <ul>
              <li>Start the installation process add /install after your domain path. (ex: https://yourdomain.com/install)</li>
              <li>Follow the steps in the installation process</li>
            </ul>

            <div class="alert alert-info mb-2">
              <p>After installation, if you get "404 Not Found" to click any link of your site, please re-upload only the <code>.htaccess</code> file on your project root folder</p>
            </div>

            <a class="btn btn-success btn-sm" target="_blank" href="https://drive.google.com/file/d/1uUHZZxY63huSJNU6dmr2doud2KpRoSTP/view?usp=sharing">Download .htaccess file here</a>

          </section>
        <!-- Quick Install end ============================ -->

        <hr class="divider">


          
        <!-- Quick Start ============================ -->
          <section id="idocs_guide">
            <h4 class="mb-2"><b>Quick Start</b></h4>
           
            <p>After run project, you will be see the login page like this.</p>
            <p><b>For access use this: www.domain.com/login</b></p><br><br><br>
            <h4>Admin</h4>
            <p><b><b>✓  Change Admin Password:</b></b> If you want to change Admin password you should go to "Change Password" section from left sidebar and change the password.</p>

            <p><b>✓  Manage Website Settings:</b> If you want to add your site name, title, email, phone, about, logo, favicon, emails, currency & basic seo options, social links you need to go "Dashboard > Settings" section from left sidebar. you can manage all options here.</p>

            <p><b>✓  Manage users:</b> If you want to manage registered users you need to go "Dashboard > Users" section from left sidebar. you can manage all users here.
            </p>

            <p><b>✓  Manage Product Services:</b> If you want to manage your product services you need to go "Dashboard > Service" section from left sidebar. you can manage all option here.
            </p>

            <p><b>✓  Manage Package & Feature:</b> If you want to manage your Packages & Features you need to go "Dashboard > Package & Features" section from left sidebar. you can manage all option here.
            </p>

            <p><b>✓  Manage Blogs:</b> If you want to add Blog first you need add Blog Category to go "Blog" section from left sidebar navigation and click on the "Add Category" options then you can add Category here in one page CRUD. And then Clink "Blog" section from left sidebar navigation to add "Blog".</p>

            <h4>User</h4>
            <p><b>✓  Settings:</b> If you want to update profile informations, invoice customizations, business please click from left sidebar "Settings" menu and here you will see this manage options when you click.</p>

            </p>

            <p><b>✓  Manage Customers:</b> If you want to manage your Customers you will see from left sidebar "Customers" menu and here you will see this manage options when you click. And you can manage Customers CRUD in an one pages.
            </p>

            <p><b>✓  Manage Categories</b>: If you want to manage your Categories you will see from left sidebar "Categories" menu and here you will see this manage options when you click. And you can manage Categories CRUD in an one pages.
            </p>

            <p><b>✓  Manage Tax:</b> If you want to manage your Tax you will see from left sidebar "Tax" menu and here you will see this manage options when you click. And you can manage Tax CRUD in an one pages.
            </p>

            <p><b>✓  Manage Products:</b> If you want to manage your Products you will see from left sidebar "Products" menu and here you will see this manage options when you click. And you can manage Products CRUD in an one pages.</p>

            <p><b>✓  Manage Estimates:</b> If you want to manage & add "Estimates" you need to click "Estimates" section from left sidebar there you see your all estimates list and if you want to create new estimate then click on the "New Estimate" button from top.
            </p>

            <p><b>✓  Manage Invoices:</b> If you want to manage & add "Invoices" you need to click "Invoices" section from left sidebar there you see your all estimates list and if you want to create new estimate then click on the "Create New Invoice" button from top.
            </p>

            <p><b>✓  Manage Vendors:</b> If you want to see/manage your Vendors you will see from left sidebar "Vendors" menu and here you will see this manage options when you click.</p>

            <p><b>✓  Manage Expenses:</b> If you want to see/manage your Expenses you will see from left sidebar "Expenses" menu and here you will see this manage options when you click.</p>

            <hr class="divider">
            <h3>Admin Panel</h3>
            <img class="img-fluid" src="assets/images/admin_dash.jpg" alt="">
          </section>
        <!-- Quick guide end ============================ -->

        <hr class="divider">

          
        <!-- settings ============================ -->
          <section id="idocs_settings">
            <h3><b>Manage Website Settings</b></h3>
            <p><b>✓  Manage Website Settings:</b> From left sidebar > Dashboard > Settings you can manage site name, title, email, phone, about, logo, favicon, emails, currency, basic seo options, social links, SMTP emails.</p>
            <img class="img-fluid" src="assets/images/admin_set.jpg" alt="">

             
          </section>
        <!-- settings end ============================ -->

        <hr class="divider">

          
        <!-- users Start ============================ -->
          <section id="idocs_users">
            <h4><b>Manage Users</b></h4>
            <p><b>✓  Manage Users</b>: From left sidebar > Dashboard > Users you can manage all users here.</p>
            <img class="img-fluid" src="assets/images/users.jpg" alt="">

             
          </section>
        <!-- users end ============================ -->

        <hr class="divider">

          
        <!-- Features Start ============================ -->
          <section id="idocs_features">
            <h4><b>Manage Features </b></h4>
            <p><b>✓  Manage Features:</b> From left sidebar > Dashboard > Features you can manage your product Features for home pages.</p>
            <img class="img-fluid" src="assets/images/features.jpg" alt="">

             
          </section>
        <!-- Features end ============================ -->

        <hr class="divider">

          
        <!-- Packages Start ============================ -->
          <section id="idocs_packages">
            <h4><b>Manage Pricing Package </b></h4>
            <p><b>✓  Manage Pricing Package:</b> From left sidebar > Dashboard > Pricing Package & features you can manage your site packages & feature limits here.</p>
            <img class="img-fluid" src="assets/images/package.jpg" alt="">

             
          </section>
        <!-- Packages end ============================ -->

        <hr class="divider">

          
        <!-- Pages Start ============================ -->
          <section id="idocs_pages">
            <h4><b>Manage Pages </b></h4>
            <p><b>✓  Manage Pages:</b> From Dashboard > Pages you can add, edit 7 Delete unlimited pages .</p>
            <img class="img-fluid" src="assets/images/pages.jpg" alt="">

             
          </section>
        <!-- Pages end ============================ -->

        <hr class="divider">

          
        <!-- Blogs Start ============================ -->
          <section id="idocs_blogs">
            <h4><b>Manage Blogs</b></h4>
            <p>'Blog' section from dashboard sideber you can add Blog Category from navigation.
            </p>
            <img class="img-fluid" src="assets/images/bcategory.jpg" alt="">
            <p><b>✓  Add Blog:</b> From Dashboard > Blog > Blog: you can Add, Edit, Delete, Activate or Deactivate Blog from this option.</p>
            <img class="img-fluid" src="assets/images/blog.jpg/" alt="">

             
          </section>
        <!-- Blogs end ============================ -->

        <hr class="divider">

        

        <!-- User Settings Start ============================ -->
          <section id="idocs_user_settings">
            <h4><b>User Settings</b></h4>
            <p>If you want to update profile informations, invoice customizations, business please click from left sidebar "Settings" menu and here you will see this manage options when you click.
            </p>
            <p><b>Profile settings: Update profile settings</b></p>
            <img class="img-fluid" src="assets/images/user_set1.jpg" alt=""><br><br>
            <p><b>Business:Manage your business here</b></p><br>
            <img class="img-fluid " src="assets/images/user_set2.jpg" alt="">
            <p><b>Invoice Customization: Customize invoice templates & colors</b></p>
            <img class="img-fluid " src="assets/images/user_set3.jpg" alt="">

             
          </section>
        <!--User Settings end ============================ -->

        <hr class="divider">

        <!-- Customers Start ============================ -->
          <section id="idocs_customers">
            <h4><b>Manage Customers </b></h4>
            <p>'Customers' section from dashboard sidebar you can add, edit, delete Customers Customers.
            </p>
            <img class="img-fluid" src="assets/images/customers.jpg" alt="">
          </section>
        <!--Customers end ============================ -->

        <hr class="divider">

        <!-- Categories Start ============================ -->
          <section id="idocs_categories">
            <h4><b>Manage Categories </b></h4>
            <p>'Categories' section from dashboard sidebar you can add, edit, delete Categories.
            </p>
            <img class="img-fluid" src="assets/images/category.jpg" alt="">
          </section>
        <!--Categories end ============================ -->

        <hr class="divider">

        <!-- Tax Start ============================ -->
          <section id="idocs_tax">
            <h4><b>Manage Tax</b></h4>
            <p>'Tax' section from dashboard sidebar you can add, edit, delete Tax.
            </p>
            <img class="img-fluid" src="assets/images/tax.jpg" alt="">
          </section>
        <!--Tax end ============================ -->

        <hr class="divider">

        <!-- Products Start ============================ -->
          <section id="idocs_products">
            <h4><b>Manage Products</b></h4>
            <p>'Products' section from dashboard sidebar you can add, edit, delete Products.
            </p>
            <img class="img-fluid" src="assets/images/product.jpg" alt="">
          </section>
        <!--Products end ============================ -->

        <hr class="divider">

        <!-- Estimates Start ============================ -->
          <section id="idocs_estimates">
            <h4><b>Manage Estimates </b></h4>
            <p>If you want to manage & add "Estimates" you need to click "Estimates" section from left sidebar there you see your all estimates list and if you want to create new estimate then click on the "New Estimate" button from top.
            </p>
            <img class="img-fluid" src="assets/images/estimate.jpg" alt="">
            <p><b>✓  Add Estimate:</b> From Dashboard > Estimates: you can Add, Edit, Delete Estimate from this option.</p>
            <img class="img-fluid" src="assets/images/new_invoice.jpg" alt="">
          </section><br>
        <!--Estimates end ============================ -->

         <hr class="divider">

        <!-- Invoices Start ============================ -->
          <section id="idocs_invoices">
            <h4><b>Manage Invoices</b></h4>
            <p>If you want to manage & add "Invoices" you need to click "Invoices" section from left sidebar there you see your all estimates list and if you want to create new estimate then click on the "Create New Invoice" button from top.
            </p>
            <img class="img-fluid" src="assets/images/invoice.jpg" alt=""><br>
            <p><b>✓  Step1:</b> Add Invoice: When you click on this button you will see a form structure like invoice. Here you must select your customers & products. You can also add Tax & discounts for this invoice.</p>
            <img class="img-fluid" src="assets/images/new_invoice.jpg" alt=""><br>
            <p><b>✓  Step2:</b> Save Invoice: After creating an invoice it will be saved as a Draft so you need to approve this invoice and You must record a payment for this invocie otherwise it will be show unpaid invocie untill you not added any payments.</p>
            <img class="img-fluid" src="assets/images/pay_invoice.jpg" alt=""><br>
            <p><b>✓  Step3:</b> Send Invoice: After record a payment now you can send a invoice copy to your customers.</p>
            <img class="img-fluid" src="assets/images/send_invoice.jpg" alt="">
          </section>
        <!--Invoices end ============================ -->

         <hr class="divider">

        <!-- Vendors Start ============================ -->
          <section id="idocs_vendors">
            <h4>Manage Vendors </b></h4>
            <p>'Vendors' section from dashboard sidebar you can add, edit, delete Vendors.
            </p>
            <img class="img-fluid" src="assets/images/vendors.jpg" alt="">
          </section>
        <!--Vendors end ============================ -->

         <hr class="divider">

        <!-- Expenses Start ============================ -->
          <section id="idocs_expenses">
            <h4>Manage Expenses</b></h4>
            <p>'Expenses' section from dashboard sidebar you can add, edit, delete Expenses.
            </p>
            <img class="img-fluid" src="assets/images/expenses.jpg" alt="">
          </section>
        <!--Expenses end ============================ -->

         <hr class="divider">

        <!-- Password Start ============================ -->
          <section id="idocs_password">
            <h4>Change Password</b></h4>
            <p><b>✓  Change Password:</b> From Dashboard > Change Password options you can update your password here.
            </p>
            <img class="img-fluid" src="assets/images/pass.jpg" alt="">
          </section>
        <!--Password end ============================ -->


        <!-- Corn Job Start ============================ -->
          <section id="idocs_corn">
            <h4><b>Add Cron Jobs for expire payments </b></h4>
            <p>For auto check your expire payments for once a day you can set a cron job to manage this options. Follow the steps:
            </p>
            <p><b>Step 1: Go to your Cpanel and click cron jobs.</b></p>
            <img class="img-fluid" src="assets/images/cron1.jpg" alt="">
            <p><b>Step 2: Add new cron job.</b></p>
            <p>Select an option.</p>
            <img class="img-fluid" src="assets/images/cron2.jpg" alt="">
            <p>Add below command to your cron command line:</p><br>
            <p style="color:blue;">wget http://yourdomain.com/cron/expire_payments</p><br><br>
            <p>Click Add New Cron Job button. Once you have done this, posts automatically will be added, if you select auto update option for a RSS feed.</p><br><br><br>
            <h3>User Panel</h3>
            <img class="img-fluid" src="assets/images/user_dash.jpg" alt="">

             
          </section>
        <!-- Corn Job end ============================ -->
          
        <hr class="divider">


        <hr class="divider">

        <!-- Manage faq ============================ -->
          <section id="idocs_faq">
            <h3>Frequently asked questions</h3>

            <p class="font-weight-700 mt-4">After installation when I click on any link it returns 404 Not Found, why?</p>
            <p> There are few reasons, this can be happend </p>
            <ul>
              <li class="mt-0">You do not have the <code>.htaccess</code> file uploaded on your project root folder</li>
              <li class="mt-0">Your web host provider does not have <code>mod_rewrite</code> enabled for Apache.</li>
              <li class="mt-0">The <code>.htaccess</code> file exists, but the content is not the same as the original file from my product.</li>
            </ul>


            <p class="font-weight-700 mt-4">Emails are not sending / I have errors with my SMTP.</p>
            <p> All errors related to the email sending system are caused by either</p>
            <ul>
              <li class="mt-0">Incorrect SMTP credentials</li>
              <li class="mt-0">not properly working SMTP server, or web host blocking the actual SMTP connection.</li>
              <li class="mt-0">For any of these issues, contact your SMTP or web host provider.</li>
            </ul>


            <p class="font-weight-700 mt-4">How to customize the frontend landing page, header or footer?</p>
            <p>You can customize landing page contents from <code>application <i class="fas fa-long-arrow-alt-right"></i> views <i class="fas fa-long-arrow-alt-right"></i> home.php</code></p>
            <p>You can customize header / footer from <code>application <i class="fas fa-long-arrow-alt-right"></i> views <i class="fas fa-long-arrow-alt-right"></i> include <i class="fas fa-long-arrow-alt-right"></i> header.php / footer.php</code></p>


            <p class="font-weight-700 mt-4">Why payment gatewats are missing in my site? </p>
            <p>Please make sure you have purchased the extended license for this script, If you purchased a regular license then you will not have access the payment gateways, check our item details page or <a class="popup-img" href="http://aoxio.originlabsoft.com/item/license1.jpg" href="http://aoxio.originlabsoft.com/item/license1.jpg">See license terms here</a> </p>


            <p class="font-weight-700 mt-4">How can I add a new language and translate texts?</p>
            <p>You can add new language from <code>Admin Panel <i class="fas fa-long-arrow-alt-right"></i> Language <i class="fas fa-long-arrow-alt-right"></i> Add New Language</code> form, After that you can translate all texts from Admin Panel -> Language list > Edit Values</p>


            <p class="font-weight-700 mt-4">How can I update text on the website?</p>
            <p>Any static text from the website can be changed from the <code>Admin Panel <i class="fas fa-long-arrow-alt-right"></i> Language <i class="fas fa-long-arrow-alt-right"></i> Edit Values</code></p>


            <p class="font-weight-700 mt-4">How can I set my own language as a default?</p>
            <p>You can set your language as a default from <code>Admin Panel <i class="fas fa-long-arrow-alt-right"></i> Language <i class="fas fa-long-arrow-alt-right"></i> Set default language</code> dropdown to update it </p>

          </section>
        <!-- Manage faq end ============================ -->

      
        </div>
      </div>






  </div>
  <!-- Content end --> 



  </div>
  <!-- Document Wrapper end --> 

  <!-- Back To Top --> 
  <a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a> 

<!-- JavaScript
  ============================ -->
  <script src="assets/vendor/jquery/jquery.min.js"></script> 
  <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script> 
  <!-- Highlight JS -->
  <script src="assets/vendor/highlight.js/highlight.min.js"></script> 
  <!-- Easing --> 
  <script src="assets/vendor/jquery.easing/jquery.easing.min.js"></script> 
  <!-- Magnific Popup --> 
  <script src="assets/vendor/magnific-popup/jquery.magnific-popup.min.js"></script> 
  <!-- Custom Script -->
  <script src="assets/js/theme.js"></script>
</body>
</html>

